Skip to main content
PATCH
/
agent
/
v1
/
agents
/
{id}
Update agent
curl --request PATCH \
  --url https://api.case.dev/agent/v1/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "model": "<string>",
  "vaultIds": [
    "<string>"
  ],
  "vaultGroups": [
    "<string>"
  ],
  "enabledTools": [
    "<string>"
  ],
  "disabledTools": [
    "<string>"
  ],
  "sandbox": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "model": "<string>",
  "vaultIds": [
    "<string>"
  ],
  "vaultGroups": [
    "<string>"
  ],
  "enabledTools": [
    "<string>"
  ],
  "disabledTools": [
    "<string>"
  ],
  "sandbox": {},
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Agent ID

Body

application/json
name
string

Updated agent display name

description
string | null

Updated agent description. Pass null to clear if supported by the client.

instructions
string

Updated system instructions that guide agent behavior

model
string

Model identifier the agent should use for future runs

vaultIds
string[] | null

Vault IDs the agent can access directly. Pass null to clear.

vaultGroups
string[] | null

Vault group IDs the agent can access. Pass null to clear.

enabledTools
string[] | null

Allowlist of tools the agent can use. Mutually exclusive with disabledTools — set one or the other, not both. Pass null to clear.

disabledTools
string[] | null

Denylist of tools the agent cannot use. Mutually exclusive with enabledTools — set one or the other, not both. Pass null to clear.

sandbox
object

Sandbox configuration override for future agent runs. Pass null to clear.

Response

Updated agent

id
string
name
string
description
string | null
instructions
string
model
string
vaultIds
string[] | null
vaultGroups
string[] | null
enabledTools
string[] | null
disabledTools
string[] | null
sandbox
object
isActive
boolean
createdAt
string<date-time>
updatedAt
string<date-time>